package cn.iocoder.yudao.module.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *
 * @author jinyd
 */
@AllArgsConstructor
@Getter
public enum VitalSignsEnum  {

    TEMPERATURE(36.3, 37.2), //体温
    PULSE(60, 100), // 脉搏/分
    RESPIRATORY_RATE(12, 20), // 呼吸/分
    SYSTOLIC_PRESSURE(90, 140), //收缩压
    DIASTOLIC_PRESSURE(60, 89), //舒张压
    BLOOD_OXYGEN_SATURATION(95, 98), //血氧饱和度%
    BLOOD_SUGAR(3.9, 7.8) ;// 血糖

//    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(VitalSignsEnum::getMinValue).toArray();

    /**
     * 类型
     */
    private final double minValue;
    /**
     * 转改名
     */
    private final double maxValue;

//    public static VitalSignsEnum valueOf(Integer value) {
//        return ArrayUtil.firstMatch(businessType -> businessType.getValue().equals(value), VitalSignsEnum.values());
//    }

//    @Override
//    public int[] array() {
//        return ARRAYS;
//    }

}
